<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleBusinessAPI/Get-the-Assigned-Server-ID-for-an-OrgDevice",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:get:v1-orgDevices-{}-relationships-assignedServer"
  },
  "title" : "Get the Assigned Device Management Service ID for a Device"
}
-->

# Get the Assigned Device Management Service ID for a Device

Get the assigned device management service ID information for a device.

## Overview

### Example

**Request:**

```
curl "https://api-business.apple.com/v1/orgDevices/{id}/relationships/assignedServer" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}"
```

**Response:**

```json
    {
      "data": {
        "type": "mdmServers",
        "id": "1F97349736CF4614A94F624E705841AD"
      },
      "links": {
        "self": "https://api-business.apple.com/v1/orgDevices/DVVS36G1YD3JKQNI/relationships/assignedServer",
        "related": "https://api-business.apple.com/v1/orgDevices/DVVS36G1YD3JKQNI/assignedServer"
      }
    }
```

## Topics

### Responses

[`object OrgDeviceAssignedServerLinkageResponse`](/documentation/AppleBusinessAPI/OrgDeviceAssignedServerLinkageResponse)

The data and links that describe the relationship between the resources.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)